jglovier/jglovier 软件分析报告

基础信息

项目名称:jglovier/jglovier

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1721307050712846336/1729747046610984960

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
cmark-gfm 输入验证错误漏洞 整数溢出或环绕 MPS-2022-3691 CVE-2022-24724 严重
cmark-gfm 资源管理错误漏洞 低效算法复杂性 MPS-2022-70047 CVE-2023-22483 高危
cmark-gfm 资源管理错误漏洞 低效算法复杂性 MPS-2022-70048 CVE-2023-22484 高危
cmark-gfm 缓冲区错误漏洞 XPath盲注 MPS-2022-70049 CVE-2023-22485 中危
cmark-gfm 资源管理错误漏洞 低效算法复杂性 MPS-2022-70050 CVE-2023-22486 高危
rubygem-activesupport 安全漏洞 ReDoS MPS-2023-0494 CVE-2023-22796 高危
cmark-gfm 资源管理错误漏洞 低效算法复杂性 MPS-2023-3330 CVE-2023-24824 高危
cmark-gfm 资源管理错误漏洞 低效算法复杂性 MPS-2023-5570 CVE-2023-26485 高危
cmark-gfm 资源管理错误漏洞 MPS-z25a-jitb CVE-2023-37463 高危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
activesupport 6.0.6.1 6.1.7.1 间接依赖 建议修复
commonmarker 0.17.13 0.23.10 间接依赖 建议修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 3
自定义许可证 5

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
unicode-display_width 1.8.0 间接依赖 bundler
http_parser.rb 0.6.0 间接依赖 bundler
jekyll-relative-links 0.6.1 间接依赖 bundler
jekyll-theme-architect 0.2.0 间接依赖 bundler
jekyll-coffeescript 1.1.1 间接依赖 bundler
minitest 5.17.0 间接依赖 bundler
html-pipeline 2.14.0 间接依赖 bundler
minima 2.5.1 间接依赖 bundler
jekyll-swiss 1.0.0 间接依赖 bundler
tzinfo 1.2.11 间接依赖 bundler
faraday-rack 1.0.0 间接依赖 bundler
sass 3.7.4 间接依赖 bundler
dnsruby 1.61.7 间接依赖 bundler
jekyll 3.9.0 间接依赖 bundler
jekyll-theme-merlot 0.2.0 间接依赖 bundler
faraday-em_http 1.0.0 间接依赖 bundler
jekyll-readme-index 0.3.0 间接依赖 bundler
jekyll-theme-cayman 0.2.0 间接依赖 bundler
octokit 4.21.0 间接依赖 bundler
kramdown-parser-gfm 1.1.0 间接依赖 bundler
typhoeus 1.4.0 间接依赖 bundler
jemoji 0.12.0 间接依赖 bundler
jekyll-theme-dinky 0.2.0 间接依赖 bundler
forwardable-extended 2.6.0 间接依赖 bundler
i18n 0.9.5 间接依赖 bundler
em-websocket 0.5.2 间接依赖 bundler
rouge 3.26.0 间接依赖 bundler
github-pages-health-check 1.17.7 间接依赖 bundler
jekyll-github-metadata 2.13.0 间接依赖 bundler
activesupport 6.0.6.1 间接依赖 bundler
multipart-post 2.1.1 间接依赖 bundler
coffee-script-source 1.11.1 间接依赖 bundler
jekyll-titles-from-headings 0.5.3 间接依赖 bundler
jekyll-default-layout 0.1.4 间接依赖 bundler
faraday-patron 1.0.0 间接依赖 bundler
listen 3.2.1 间接依赖 bundler
faraday-excon 1.1.0 间接依赖 bundler
jekyll-seo-tag 2.7.1 间接依赖 bundler
sawyer 0.8.2 间接依赖 bundler
nokogiri 1.14.1-x86_64-linux 间接依赖 bundler
unf 0.1.4 间接依赖 bundler
jekyll-theme-minimal 0.2.0 间接依赖 bundler
github-pages 219 间接依赖 bundler
jekyll-theme-primer 0.6.0 间接依赖 bundler
ruby2_keywords 0.0.5 间接依赖 bundler
rexml 3.2.5 间接依赖 bundler
jekyll-sass-converter 1.5.2 间接依赖 bundler
jekyll-feed 0.15.1 间接依赖 bundler
jekyll-theme-slate 0.2.0 间接依赖 bundler
thread_safe 0.3.6 间接依赖 bundler
zeitwerk 2.6.6 间接依赖 bundler
jekyll-theme-leap-day 0.2.0 间接依赖 bundler
jekyll-remote-theme 0.4.3 间接依赖 bundler
jekyll-theme-tactile 0.2.0 间接依赖 bundler
jekyll-theme-time-machine 0.2.0 间接依赖 bundler
execjs 2.8.1 间接依赖 bundler
liquid 4.0.3 间接依赖 bundler
jekyll-theme-hacker 0.2.0 间接依赖 bundler
rb-fsevent 0.11.0 间接依赖 bundler
safe_yaml 1.0.5 间接依赖 bundler
faraday-httpclient 1.0.1 间接依赖 bundler
simpleidn 0.2.1 间接依赖 bundler
gemoji 3.0.1 间接依赖 bundler
jekyll-theme-modernist 0.2.0 间接依赖 bundler
public_suffix 4.0.6 间接依赖 bundler
terminal-table 1.8.0 间接依赖 bundler
ffi 1.15.4 间接依赖 bundler
faraday-em_synchrony 1.0.0 间接依赖 bundler
racc 1.6.2 间接依赖 bundler
eventmachine 1.2.7 间接依赖 bundler
jekyll-commonmark 1.3.1 间接依赖 bundler
jekyll-watch 2.2.1 间接依赖 bundler
faraday 1.8.0 间接依赖 bundler
sass-listen 4.0.0 间接依赖 bundler
mercenary 0.3.6 间接依赖 bundler
jekyll-gist 1.5.0 间接依赖 bundler
jekyll-commonmark-ghpages 0.1.6 间接依赖 bundler
rb-inotify 0.10.1 间接依赖 bundler
pathutil 0.16.2 间接依赖 bundler
unf_ext 0.0.8 间接依赖 bundler
concurrent-ruby 1.2.0 间接依赖 bundler
ethon 0.14.0 间接依赖 bundler
colorator 1.1.0 间接依赖 bundler
jekyll-theme-midnight 0.2.0 间接依赖 bundler
jekyll-paginate 1.1.0 间接依赖 bundler
jekyll-redirect-from 0.16.0 间接依赖 bundler
coffee-script 2.4.1 间接依赖 bundler
jekyll-mentions 1.6.0 间接依赖 bundler
jekyll-avatar 0.7.0 间接依赖 bundler
faraday-net_http 1.0.1 间接依赖 bundler
ruby-enum 0.9.0 间接依赖 bundler
rubyzip 2.3.2 间接依赖 bundler
faraday-net_http_persistent 1.2.0 间接依赖 bundler
jekyll-optional-front-matter 0.3.2 间接依赖 bundler
kramdown 2.3.1 间接依赖 bundler
addressable 2.8.0 间接依赖 bundler
jekyll-sitemap 1.4.0 间接依赖 bundler
commonmarker 0.17.13 间接依赖 bundler
(0)
上一篇 2023年11月29日
下一篇 2023年11月29日

相关推荐

  • yuhaqiang123/muppet 软件分析报告

    基础信息 项目名称:yuhaqiang123/muppet 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720275480967426048/1720275481156169728 此报告由Murphysec提…

    软件分析 2023年11月3日
    0
  • honghaoz/ZHAutoLinesLabel 软件分析报告

    基础信息 项目名称:honghaoz/ZHAutoLinesLabel 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718646191155707904/1718646191247982592 此报告由Murp…

    软件分析 2023年10月29日
    0
  • davatron5000/Lettering.js 软件分析报告

    基础信息 项目名称:davatron5000/Lettering.js 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717066057806118912/1717066064361816064 此报告由Murp…

    软件分析 2023年10月25日
    0
  • kelvinau/crypto-arbitrage 软件分析报告

    基础信息 项目名称:kelvinau/crypto-arbitrage 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719410619740454912/1719410619778203648 此报告由Murp…

    软件分析 2023年11月1日
    0
  • jdolecki/LetterpressPopup 软件分析报告

    基础信息 项目名称:jdolecki/LetterpressPopup 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721299722617520128/1724150504275005440 此报告由Murp…

    软件分析 2023年11月14日
    0